uk.gov.hmrc.wco.dec

# ResponseDeclaration

###
Related Doc: package dec

#### case class ResponseDeclaration(acceptanceDateTime: Option[ResponseDateTimeElement] = None, cancellationDateTime: Option[ResponseDateTimeElement] = None, functionalReferenceId: Option[String] = None, id: Option[String] = None, rejectionDateTime: Option[ResponseDateTimeElement] = None, versionID: Option[String] = None, dutyTaxFees: Seq[ResponseDutyTaxFee] = Seq.empty, goodsShipment: Option[ResponseGoodsShipment] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ResponseDeclaration
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResponseDeclaration(acceptanceDateTime: Option[ResponseDateTimeElement] = None, cancellationDateTime: Option[ResponseDateTimeElement] = None, functionalReferenceId: Option[String] = None, id: Option[String] = None, rejectionDateTime: Option[ResponseDateTimeElement] = None, versionID: Option[String] = None, dutyTaxFees: Seq[ResponseDutyTaxFee] = Seq.empty, goodsShipment: Option[ResponseGoodsShipment] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val acceptanceDateTime: Option[ResponseDateTimeElement]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### val cancellationDateTime: Option[ResponseDateTimeElement]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val dutyTaxFees: Seq[ResponseDutyTaxFee]

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### val functionalReferenceId: Option[String]

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val goodsShipment: Option[ResponseGoodsShipment]

14. #### val id: Option[String]

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### val rejectionDateTime: Option[ResponseDateTimeElement]

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### val versionID: Option[String]

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped